; Thanks to animeanime of the AHK forums for these functions for working with POINT structures
; http://www.autohotkey.com/forum/viewtopic.php?t=40850

;===============================;
;   POINT STRUCTURE FUNCTIONS   ;
;===============================;

Point_create(ByRef Point, X = 0, Y = 0)
{
    VarSetCapacity(Point, 8), Point_setPoint(Point, X, Y)
}

Point_getPoint(ByRef Point, ByRef X, ByRef Y)
{
    X := Point_getX(Point)
    Y := Point_getY(Point)
}

Point_setPoint(ByRef Point, X, Y)
{
    Point_setX(Point, X)
    Point_setY(Point, Y)
}

Point_getX(ByRef Point)
{
    return NumGet(Point, 0, "int")
}

Point_setX(ByRef Point, X)
{
    NumPut(X, Point, 0, "int")
}

Point_getY(ByRef Point)
{
    return NumGet(Point, 4, "int")
}

Point_setY(ByRef Point, Y)
{
    NumPut(Y, Point, 4, "int")
}